/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
import { ElementRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { View } from '@nativescript/core';
import { NativeDialogRef } from './dialog-ref';
import { NativeDialog } from './dialog-services';
import * as i0 from "@angular/core";
/**
 * Button that will close the current dialog.
 */
export declare class NativeDialogCloseDirective implements OnInit, OnChanges {
    dialogRef: NativeDialogRef<any>;
    private _elementRef;
    private _dialog;
    /** Dialog close input. */
    dialogResult: any;
    _matDialogClose: any;
    constructor(dialogRef: NativeDialogRef<any>, _elementRef: ElementRef<View>, _dialog: NativeDialog);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _onButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeDialogCloseDirective, [{ optional: true; }, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NativeDialogCloseDirective, "[native-dialog-close], [nativeDialogClose]", ["nativeDialogClose"], { "dialogResult": { "alias": "native-dialog-close"; "required": false; }; "_matDialogClose": { "alias": "nativeDialogClose"; "required": false; }; }, {}, never, never, true, never>;
}
