import { Observable } from 'rxjs';
import { NSFileSystem } from '../file-system/ns-file-system';
export type httpResponseFactory<T> = (url: string, body: any, status: number) => T;
export type httpErrorFactory = (url: string, body: any, status: number) => any;
export declare function isLocalRequest(url: string): boolean;
export declare function getAbsolutePath(url: string, nsFileSystem: NSFileSystem): string;
export declare function processLocalFileRequest<T>(url: string, nsFileSystem: NSFileSystem, successResponse: httpResponseFactory<T>, errorResponse: httpErrorFactory): Observable<T>;
