import { ModuleWithProviders } from '@angular/core';
import { Routes, ExtraOptions, RouterFeatures, ActivatedRoute, Router } from '@angular/router';
import { NSLocationStrategy } from './ns-location-strategy';
import { FrameService } from '../frame.service';
import * as i0 from "@angular/core";
import * as i1 from "@angular/router";
import * as i2 from "../../nativescript-common.module";
import * as i3 from "./ns-router-link";
import * as i4 from "./ns-router-link-active";
import * as i5 from "./page-router-outlet";
import * as i6 from "./ns-empty-outlet.component";
export { PageRoute } from './page-router-outlet';
export { RouterExtensions } from './router-extensions';
export { Outlet, NavigationOptions, LocationState, defaultNavOptions } from './ns-location-utils';
export { NSRouterLink } from './ns-router-link';
export { NSRouterLinkActive } from './ns-router-link-active';
export { PageRouterOutlet } from './page-router-outlet';
export { NSLocationStrategy } from './ns-location-strategy';
export { NSEmptyOutletComponent } from './ns-empty-outlet.component';
export declare function provideLocationStrategy(locationStrategy: NSLocationStrategy, frameService: FrameService, startPath: string): NSLocationStrategy;
export declare class NativeScriptRouterModule {
    static forRoot(routes: Routes, config?: ExtraOptions): ModuleWithProviders<NativeScriptRouterModule>;
    static forChild(routes: Routes): ModuleWithProviders<NativeScriptRouterModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeScriptRouterModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NativeScriptRouterModule, never, [typeof i1.RouterModule, typeof i2.NativeScriptCommonModule, typeof i3.NSRouterLink, typeof i4.NSRouterLinkActive, typeof i5.PageRouterOutlet, typeof i6.NSEmptyOutletComponent], [typeof i1.RouterModule, typeof i3.NSRouterLink, typeof i4.NSRouterLinkActive, typeof i5.PageRouterOutlet, typeof i6.NSEmptyOutletComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NativeScriptRouterModule>;
}
export declare function rootRoute(router: Router): ActivatedRoute;
export declare function provideNativeScriptRouter(routes: Routes, ...features: RouterFeatures[]): import("@angular/core").EnvironmentProviders;
